RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000780USAF[All Projects] Generalpublic2015-06-21 22:012018-05-28 05:37
Reporterdslyecxi 
Assigned Toreyhard 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.3.8 
Target VersionFixed in Version0.4 
Summary0000780: AH-64 Multirole - Gun slews to turret limit if zooming w/o mouse movement
DescriptionIn the AH-64, the first level of gunner zoom is not terrain-tracking, while the lower zooms are terrain-tracking. If you zoom in without moving the mouse, the terrain-tracking glitches and causes the gun to move to either the elevation or traverse limit rapidly.

If you zoom in while moving the mouse, this issue does not occur.

Presumably this is because the tracking requires a valid mouse movement first (e.g. a mouseMoving EH or something similar), and the initial zoom does not supply this data, thus if you zoom in without moving the mouse, it doesn't know how to behave.
Steps To Reproduce1. Fly as an Apache gunner
2. Aim at some piece of terrain in the frontal arc of the aircraft while it is flying forward
3. Without touching the mouse, zoom in. Observe that the gun tracks away and off to one of the limits of movement.
https://gyazo.com/98249646ea2d24260029e3f20639f9fc.mp4 [^]

4. Zoom out, recenter, then slowly move the mouse while zooming in. Observe that the gun tracks correctly after zooming in.
https://i.gyazo.com/244c433947f3937ed26ceb8389bd6054.mp4 [^]
TagsNo tags attached.
Is it a wish/request?No
Arma 3 version1.82
Did you used any other mod when the error occurred?No
Which mods?
Attached Files

- Relationships
has duplicate 0000825closedSoul_Assassin Apache FFAR thermal view resets to gunship heading when zooming 

-  Notes
(0002667)
reyhard (administrator)
2015-10-28 11:44

some quirks may be still persistent (i.e. while targeting in air) but even then, camera will only try to acquire ground only (so no 180 deg rotation from now)
(0002834)
TECAK (reporter)
2015-11-24 10:42

Тоже самое наблюдается на стрелке AH-1Z и споттере (2м пилоте) UH-1Y
(0007772)
SekiGamer (reporter)
2018-05-27 01:41

This issue still persists
(0007773)
reyhard (administrator)
2018-05-27 10:22

cannot reproduce it on my end - are you using some extra mods?
(0007774)
SekiGamer (reporter)
2018-05-27 10:42

Yes, I do have extra mods and I will test it tomorrow to see if the issue still persists without them.

I was actually just talking to some people in my unit and the issue is the way geo-lock is implemented. In vanilla Arma, you can enable geo-lock by using a hotkey but in RHS from what we can tell the Apache gunner turn it on when you zoom in once. If you zoom in one more time the issue seems to go away.

A solution to make apache gameplay better might be to enable geo-lock on the second zoom not the first.

Oh and I just realized I should have mentioned that this is only an issue if the gunner zooms in during flight in any direction.

In retrospect, it might be better to make a new issue. If you want I could do that.
(0007775)
reyhard (administrator)
2018-05-27 11:36

Please test without mods first and I will see if new ticket is necessary then ;)
(0007776)
SekiGamer (reporter)
2018-05-28 05:36

Update: It seems like the mod causing these issues is this one: https://steamcommunity.com/sharedfiles/filedetails/?id=877530153&searchtext=HMD [^]

- Issue History
Date Modified Username Field Change
2015-06-21 22:01 dslyecxi New Issue
2015-06-22 01:44 RedPhoenix Status new => acknowledged
2015-10-22 15:55 Soul_Assassin Relationship added has duplicate 0000825
2015-10-28 11:44 reyhard Note Added: 0002667
2015-10-28 11:44 reyhard Status acknowledged => resolved
2015-10-28 11:44 reyhard Fixed in Version => 0.4
2015-10-28 11:44 reyhard Resolution open => fixed
2015-10-28 11:44 reyhard Assigned To => reyhard
2015-11-24 10:42 TECAK Note Added: 0002834
2018-05-27 01:41 SekiGamer Note Added: 0007772
2018-05-27 01:45 SekiGamer Arma 3 version 1.46 => devbranch
2018-05-27 01:45 SekiGamer Resolution fixed => open
2018-05-27 01:45 SekiGamer Arma 3 version devbranch => 1.82
2018-05-27 10:22 reyhard Note Added: 0007773
2018-05-27 10:42 SekiGamer Note Added: 0007774
2018-05-27 11:36 reyhard Note Added: 0007775
2018-05-28 05:36 SekiGamer Note Added: 0007776
2018-05-28 05:37 SekiGamer Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker